Loading...
墨滴

李泽涛。

2021/04/14  阅读:18  主题:蔷薇紫

使用NodeJs遇到的问题

NodeJs爬坑

require模块没定义

Uncaught ReferenceError: require is not defined
  • require()是nodejs的内置函数,如果是在nodejs环境下运行时不存在这个问题的
  • 第一点 检查nodejs安装成功没有 使用node -v
  • 第二点 node_modules目录有没有
    • 如果没有 使用下图命令 就可以在当前目录创建
    npm install  cnpm --registry=https://registry.npm.taobao.org
    • npm install 下载模块的意思
    • cnpm 是要下载的模块名
    • 后面的链接 是从国内淘宝镜像下载 比较快速
    • 后面如果加一个-g 则表示是全局安装
  • 第三点 用idea创建nodejs 就不会出现这些问题 因为这些东西idea会自动帮你下载下来
    • 首先要安装nodejs插件
  • 安装好了 在配置nodejs运行环境
  • 然后可以新建一个modules 一直下一步 后面填写名字跟选择nodejs安装路径就好

然后在这个新建的目录下创建js文件 在里面写require运行就可以成功了

var resd = require('./base64.min.js');
  • ./表示当前目录
  • 引入express模块 就直接require('express')就行了 如果没有就要下载相应的模块 如:npm install express

李泽涛。

2021/04/14  阅读:18  主题:蔷薇紫

作者介绍

李泽涛。